import Cocoa

class TextStorageSwiftSubclass: NSTextStorage {
   private let backingStore = NSTextStorage()

   override var string: String {
      return backingStore.string
   }

   override func attributes(at location: Int, effectiveRange range: NSRangePointer?) -> [NSAttributedStringKey : Any] {
      return backingStore.attributes(at: location, effectiveRange: range)
   }

   override func replaceCharacters(in range: NSRange, with str: String) {
      backingStore.replaceCharacters(in: range, with: str)
   }

   override func setAttributes(_ attrs: [NSAttributedStringKey : Any]?, range: NSRange) {
      backingStore.setAttributes(attrs, range: range)
   }
}
